## kded 5.56.0

=== debian/changelog ===
kded (5.56.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.56.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 09 Mar 2019 16:35:05 +0000

kded (5.55.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.55.0)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 13 Feb 2019 08:30:12 +0000

kded (5.54.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.54.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 13 Jan 2019 12:34:12 +0000

kded (5.53.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.53.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 09 Dec 2018 20:47:59 +0000

kded (5.52.0-0ubuntu1) disco; urgency=medium

  [ Rik Mills ]
  * Install kded.categories file.

  [ José Manuel Santamaría Lema ]
  * New upstream release (5.52.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 22 Nov 2018 14:41:32 +0000

kded (5.51.0-0ubuntu1) UNRELEASED; urgency=medium

  * New upstream release (5.51.0)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 11 Oct 2018 08:06:53 +0000

=== debian/control ===
Source: kded
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.56.0~),
               kinit-dev (>= 5.56.0~),
               libkf5config-dev (>= 5.56.0~),
               libkf5coreaddons-dev (>= 5.56.0~),
               libkf5crash-dev (>= 5.56.0~),
               libkf5dbusaddons-dev (>= 5.56.0~),
               libkf5doctools-dev (>= 5.56.0~),
               libkf5service-dev (>= 5.56.0~),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.8.0~),
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/frameworks/kded
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kded
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kded

Package: kded5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Extensible daemon for providing session services
 KDED runs in the background and performs a number of small tasks.
 Some of these tasks are built in, others are started on demand.

Package: kded5-dev
Architecture: any
Section: libdevel
Depends: kded5 (= ${binary:Version}),
         libkf5coreaddons-dev (>= 5.55.0~),
         libkf5crash-dev (>= 5.55.0~),
         libkf5dbusaddons-dev (>= 5.55.0~),
         libkf5service-dev (>= 5.55.0~),
         ${misc:Depends},
Description: Extensible daemon for providing session services
 KDED runs in the background and performs a number of small tasks.
 Some of these tasks are built in, others are started on demand.
 .
 Contains development files.

## kded 5.62.0

=== debian/changelog ===
kded (5.62.0-1) unstable; urgency=medium

  * Update reprotest args variable
  * New upstream release (5.62.0).
  * Update build-deps and deps with the info from cmake
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 20 Sep 2019 10:12:57 -0700

kded (5.61.0-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * Salsa CI automatic initialization by Tuco
  * New upstream release (5.61.0).
  * Update build-deps and deps with the info from cmake
  * Add missing version to maintscript
  * Ignore reprotest build path variations
  * Release to experimental

  [ Jonathan Riddell ]
  * moved qdebug files

 -- Maximiliano Curia <maxy@debian.org>  Mon, 09 Sep 2019 21:10:23 +0100

=== debian/control ===
Source: kded
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.5~),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.62.0~),
               kinit-dev (>= 5.62.0~),
               libkf5config-dev (>= 5.62.0~),
               libkf5coreaddons-dev (>= 5.62.0~),
               libkf5crash-dev (>= 5.62.0~),
               libkf5dbusaddons-dev (>= 5.62.0~),
               libkf5doctools-dev (>= 5.62.0~),
               libkf5service-dev (>= 5.62.0~),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.11.0~),
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/frameworks/kded
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kded
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kded.git

Package: kded5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Extensible daemon for providing session services
 KDED runs in the background and performs a number of small tasks.
 Some of these tasks are built in, others are started on demand.

Package: kded5-dev
Section: libdevel
Architecture: any
Depends: kded5 (= ${binary:Version}),
         libkf5coreaddons-dev (>= 5.62.0~),
         libkf5crash-dev (>= 5.62.0~),
         libkf5dbusaddons-dev (>= 5.62.0~),
         libkf5service-dev (>= 5.62.0~),
         ${misc:Depends},
Description: Extensible daemon for providing session services
 KDED runs in the background and performs a number of small tasks.
 Some of these tasks are built in, others are started on demand.
 .
 Contains development files.

## kded 5.68.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

set(KF5_VERSION "5.68.0") # handled by release scripts
set(KF5_DEP_VERSION "5.68.0") # handled by release scripts
project(KDED VERSION ${KF5_VERSION})

include(FeatureSummary)
find_package(ECM 5.68.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

set(REQUIRED_QT_VERSION 5.12.0)
find_package(Qt5 "${REQUIRED_QT_VERSION}" CONFIG REQUIRED DBus Widgets)

include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)

find_package(KF5Config ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5CoreAddons ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5Crash ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5DBusAddons ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5DocTools ${KF5_DEP_VERSION})
find_package(KF5Service ${KF5_DEP_VERSION} REQUIRED)


include(CMakePackageConfigHelpers)
include(ECMQtDeclareLoggingCategory)
include(ECMSetupVersion)
include(ECMMarkNonGuiExecutable)

ecm_setup_version(
  PROJECT
  VARIABLE_PREFIX KDED
  VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/src/kded_version.h"
  PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KDEDConfigVersion.cmake"
  SOVERSION 5)

# We don't install kded_version.h, it's only useful internally
# (given that this framework produces no library)
add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050d00)
add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054300)
add_definitions(-DQT_NO_FOREACH)
if (KF5DocTools_FOUND)
    if (IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po")
        kdoctools_install(po)
    endif()
    add_subdirectory(docs)
endif()

add_subdirectory(src)

# Create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KDED")

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KDEDConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KDEDConfig.cmake"
  PATH_VARS KDE_INSTALL_DBUSINTERFACEDIR
  INSTALL_DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KDEDConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KDEDConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(FILES org.kde.kded5.desktop DESTINATION ${KDE_INSTALL_APPDIR})

feature_summary(WHAT ALL   FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kded (5.68.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.68.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 25 Mar 2020 20:56:32 +0000

kded (5.67.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.67.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Feb 2020 09:48:59 +0000

kded (5.66.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.66.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2020 13:18:06 +0000

kded (5.65.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.65.0)
  * Update installed files

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 14 Dec 2019 22:57:52 +0000

kded (5.64.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.63.0)
  * New upstream release (5.64.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 Nov 2019 21:23:33 +0000

kded (5.62.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.62.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 14 Sep 2019 08:05:59 +0100

kded (5.61.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.61.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 12 Aug 2019 10:41:28 +0100

kded (5.60.0-0ubuntu1) eoan; urgency=medium

  * Move qdebug categories file to new location.
  * New upstream release (5.60.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 20 Jul 2019 08:15:10 +0100

kded (5.59.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.59.0)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 12 Jun 2019 11:18:23 +0100

kded (5.58.0-0ubuntu1) eoan; urgency=medium

  * Install new desktop file.
  * New upstream release (5.58.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 13 May 2019 15:39:13 +0100

kded (5.57.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.57.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 22 Apr 2019 08:36:54 +0100

=== debian/control ===
Source: kded
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.68.0~),
               kinit-dev (>= 5.68.0~),
               libkf5config-dev (>= 5.68.0~),
               libkf5coreaddons-dev (>= 5.68.0~),
               libkf5crash-dev (>= 5.68.0~),
               libkf5dbusaddons-dev (>= 5.68.0~),
               libkf5doctools-dev (>= 5.68.0~),
               libkf5service-dev (>= 5.68.0~),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.8.0~),
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/frameworks/kded
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kded
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kded

Package: kded5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Extensible daemon for providing session services
 KDED runs in the background and performs a number of small tasks.
 Some of these tasks are built in, others are started on demand.

Package: kded5-dev
Architecture: any
Section: libdevel
Depends: kded5 (= ${binary:Version}),
         libkf5coreaddons-dev (>= 5.68.0~),
         libkf5crash-dev (>= 5.68.0~),
         libkf5dbusaddons-dev (>= 5.68.0~),
         libkf5service-dev (>= 5.68.0~),
         ${misc:Depends},
Description: Extensible daemon for providing session services
 KDED runs in the background and performs a number of small tasks.
 Some of these tasks are built in, others are started on demand.
 .
 Contains development files.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_strip:
	dh_strip --dbgsym-migration='kded5-dbg (<= 5.19.0-1~~)'

=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/frameworks/([\d.]+)/kded-([\d.]+)\.tar\.xz

## kded 5.74.0

=== debian/changelog ===
kded (5.74.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.74.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 13 Sep 2020 10:58:16 +0100

kded (5.73.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.73.0)
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Aug 2020 10:57:04 +0100

kded (5.72.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.72.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 06 Jul 2020 20:31:32 +0100

kded (5.71.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.71.0)
  * Update install files.
  * Update lintian overrides.

 -- Rik Mills <rikmills@kde.org>  Sun, 14 Jun 2020 12:05:22 +0100

kded (5.70.0-1ubuntu1) groovy; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Kubuntu Vcs fields,
    - debhelper-compat = 12 for backports.

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Jun 2020 14:37:54 +0100

kded (5.70.0-1) unstable; urgency=medium

  * Team upload.

  [ Pino Toscano ]
  * Update install files.

  [ Sandro Knauß ]
  * Bump compat level to 13.
  * New upstream release (5.70.0).
  * Update build-deps and deps with the info from cmake.
  * Wrap long lines in changelog entries: 5.22.0-1.
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).

 -- Sandro Knauß <hefee@debian.org>  Tue, 26 May 2020 23:57:28 +0200

kded (5.70.0-0ubuntu1) groovy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (5.69.0)

  [ Rik Mills ]
  * New upstream release (5.70.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 May 2020 12:30:55 +0100

kded (5.69.0-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Bump compat level to 12.
  * Bump Standards-Version to 4.5.0 (No changes needed).
  * Get rid of debug-symbol-migration package.
  * Add Rules-Requires-Root field to control.
  * New upstream release (5.69.0).
  * Update build-deps and deps with the info from cmake.
  * Remove unused BD kinit-dev.
  * Remove not build file libkdeinit5_kded5 from kded5 package.
  * Remove not needed injection of linker flags.
  * Update kded5 lintian-overrides file.

 -- Sandro Knauß <hefee@debian.org>  Thu, 30 Apr 2020 17:55:23 +0200

=== debian/control ===
Source: kded
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 12),
               extra-cmake-modules (>= 5.74.0~),
               libkf5config-dev (>= 5.74.0~),
               libkf5coreaddons-dev (>= 5.74.0~),
               libkf5crash-dev (>= 5.74.0~),
               libkf5dbusaddons-dev (>= 5.74.0~),
               libkf5doctools-dev (>= 5.74.0~),
               libkf5service-dev (>= 5.74.0~),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.12.0~),
Standards-Version: 4.5.0
Homepage: https://projects.kde.org/projects/frameworks/kded
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kded
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kded
Rules-Requires-Root: no

Package: kded5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Extensible daemon for providing session services
 KDED runs in the background and performs a number of small tasks.
 Some of these tasks are built in, others are started on demand.

Package: kded5-dev
Section: libdevel
Architecture: any
Depends: kded5 (= ${binary:Version}),
         libkf5coreaddons-dev (>= 5.74.0~),
         libkf5crash-dev (>= 5.74.0~),
         libkf5dbusaddons-dev (>= 5.74.0~),
         libkf5service-dev (>= 5.74.0~),
         ${misc:Depends},
Description: Extensible daemon for providing session services
 KDED runs in the background and performs a number of small tasks.
 Some of these tasks are built in, others are started on demand.
 .
 Contains development files.

## kded 5.78.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,17 +1,17 @@
 cmake_minimum_required(VERSION 3.5)
 
-set(KF5_VERSION "5.68.0") # handled by release scripts
-set(KF5_DEP_VERSION "5.68.0") # handled by release scripts
+set(KF5_VERSION "5.78.0") # handled by release scripts
+set(KF5_DEP_VERSION "5.78.0") # handled by release scripts
 project(KDED VERSION ${KF5_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 5.68.0  NO_MODULE)
+find_package(ECM 5.78.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 
-set(REQUIRED_QT_VERSION 5.12.0)
+set(REQUIRED_QT_VERSION 5.14.0)
 find_package(Qt5 "${REQUIRED_QT_VERSION}" CONFIG REQUIRED DBus Widgets)
 
 include(KDEInstallDirs)
@@ -40,8 +40,8 @@
 
 # We don't install kded_version.h, it's only useful internally
 # (given that this framework produces no library)
-add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050d00)
-add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054300)
+add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050e00)
+add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054B00)
 add_definitions(-DQT_NO_FOREACH)
 if (KF5DocTools_FOUND)
     if (IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po")

=== debian/changelog ===
kded (5.78.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Sun, 17 Jan 2021 12:02:20 +0900

kded (5.78.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.78.0).
  * Update build-deps and deps with the info from cmake.

 -- Norbert Preining <norbert@preining.info>  Wed, 13 Jan 2021 10:32:41 +0900

kded (5.77.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Tue, 22 Dec 2020 10:33:34 +0900

kded (5.77.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * Bump Standards-Version to 4.5.1 (No changes needed).
  * New upstream release (5.77.0).
  * Update build-deps and deps with the info from cmake.
  * Add myself to Uploaders.
  * Update maintainer to Debian Qt/KDE Maintainers.

 -- Norbert Preining <norbert@preining.info>  Fri, 18 Dec 2020 10:03:52 +0900

kded (5.74.0-2) unstable; urgency=medium

  * Team upload to unstable.

 -- Sandro Knauß <hefee@debian.org>  Mon, 19 Oct 2020 23:17:41 +0200

kded (5.74.0-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (5.74.0).
  * Update build-deps and deps with the info from cmake.
  * Add renamecategories file to kded5.
  * Add plasma-kded.service to kded5.
  * Update Homepage link to point to new invent.kde.org
  * Update repository related entries to metadata file.
  * Update field Source in debian/copyright to invent.kde.org move.
  * Add Bug-* entries to metadata file.
  * Update lintian-overrides.

 -- Sandro Knauß <hefee@debian.org>  Sun, 27 Sep 2020 17:46:01 +0200

=== debian/control ===
Source: kded
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>,
           Norbert Preining <norbert@preining.info>
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.78.0~),
               libkf5config-dev (>= 5.78.0~),
               libkf5coreaddons-dev (>= 5.78.0~),
               libkf5crash-dev (>= 5.78.0~),
               libkf5dbusaddons-dev (>= 5.78.0~),
               libkf5doctools-dev (>= 5.78.0~),
               libkf5service-dev (>= 5.78.0~),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.14.0~)
Standards-Version: 4.5.1
Homepage: https://invent.kde.org/frameworks/kded
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kded
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kded.git
Rules-Requires-Root: no

Package: kded5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Extensible daemon for providing session services
 KDED runs in the background and performs a number of small tasks.
 Some of these tasks are built in, others are started on demand.

Package: kded5-dev
Section: libdevel
Architecture: any
Depends: kded5 (= ${binary:Version}),
         libkf5coreaddons-dev (>= 5.78.0~),
         libkf5crash-dev (>= 5.78.0~),
         libkf5dbusaddons-dev (>= 5.78.0~),
         libkf5service-dev (>= 5.78.0~),
         ${misc:Depends}
Description: Extensible daemon for providing session services
 KDED runs in the background and performs a number of small tasks.
 Some of these tasks are built in, others are started on demand.
 .
 Contains development files.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

## kded 5.80.0

=== debian/changelog ===
kded (5.80.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.80.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 18 Mar 2021 11:07:04 +0000

kded (5.79.0-0ubuntu1) hirsute; urgency=medium

  [ Rik Mills ]
  * New upstream release (5.79.0)

  [ José Manuel Santamaría Lema ]
  * Add lintian override for desktop-entry-unknown-type

 -- Rik Mills <rikmills@kde.org>  Sat, 13 Feb 2021 12:20:52 +0000

=== debian/control ===
Source: kded
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>,
           Norbert Preining <norbert@preining.info>
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.80.0~),
               libkf5config-dev (>= 5.80.0~),
               libkf5coreaddons-dev (>= 5.80.0~),
               libkf5crash-dev (>= 5.80.0~),
               libkf5dbusaddons-dev (>= 5.80.0~),
               libkf5doctools-dev (>= 5.80.0~),
               libkf5service-dev (>= 5.80.0~),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.14.0~),
Standards-Version: 4.5.1
Homepage: https://invent.kde.org/frameworks/kded
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kded
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kded.git
Rules-Requires-Root: no

Package: kded5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Extensible daemon for providing session services
 KDED runs in the background and performs a number of small tasks.
 Some of these tasks are built in, others are started on demand.

Package: kded5-dev
Section: libdevel
Architecture: any
Depends: kded5 (= ${binary:Version}),
         libkf5coreaddons-dev (>= 5.80.0~),
         libkf5crash-dev (>= 5.80.0~),
         libkf5dbusaddons-dev (>= 5.80.0~),
         libkf5service-dev (>= 5.80.0~),
         ${misc:Depends},
Description: Extensible daemon for providing session services
 KDED runs in the background and performs a number of small tasks.
 Some of these tasks are built in, others are started on demand.
 .
 Contains development files.

## kded 5.86.0

=== debian/changelog ===
kded (5.86.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.86.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 13 Sep 2021 12:47:12 +0100

kded (5.85.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.85.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Aug 2021 11:26:03 +0100

kded (5.84.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.84.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 11 Jul 2021 08:59:22 +0100

kded (5.83.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.83.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jun 2021 12:16:15 +0100

kded (5.82.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.82.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 08 May 2021 11:55:45 +0100

kded (5.81.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.81.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 28 Apr 2021 10:28:27 +0100

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,13 @@
            Norbert Preining <norbert@preining.info>
 Build-Depends: cmake (>= 3.5~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.80.0~),
-               libkf5config-dev (>= 5.80.0~),
-               libkf5coreaddons-dev (>= 5.80.0~),
-               libkf5crash-dev (>= 5.80.0~),
-               libkf5dbusaddons-dev (>= 5.80.0~),
-               libkf5doctools-dev (>= 5.80.0~),
-               libkf5service-dev (>= 5.80.0~),
+               extra-cmake-modules (>= 5.86.0~),
+               libkf5config-dev (>= 5.86.0~),
+               libkf5coreaddons-dev (>= 5.86.0~),
+               libkf5crash-dev (>= 5.86.0~),
+               libkf5dbusaddons-dev (>= 5.86.0~),
+               libkf5doctools-dev (>= 5.86.0~),
+               libkf5service-dev (>= 5.86.0~),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.14.0~),
 Standards-Version: 4.5.1
@@ -32,10 +32,10 @@
 Section: libdevel
 Architecture: any
 Depends: kded5 (= ${binary:Version}),
-         libkf5coreaddons-dev (>= 5.80.0~),
-         libkf5crash-dev (>= 5.80.0~),
-         libkf5dbusaddons-dev (>= 5.80.0~),
-         libkf5service-dev (>= 5.80.0~),
+         libkf5coreaddons-dev (>= 5.86.0~),
+         libkf5crash-dev (>= 5.86.0~),
+         libkf5dbusaddons-dev (>= 5.86.0~),
+         libkf5service-dev (>= 5.86.0~),
          ${misc:Depends},
 Description: Extensible daemon for providing session services
  KDED runs in the background and performs a number of small tasks.

## kded 5.92.0

=== src/CMakeLists.txt ===
add_executable(kded5)

target_sources(kded5 PRIVATE
    kded.cpp
    kdedadaptor.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/org.kde.kded5.xml # just so that it gets generated
)

ecm_qt_export_logging_category(
    IDENTIFIER KDED
    CATEGORY_NAME kf.kded
    OLD_CATEGORY_NAMES kf5.kded
    DEFAULT_SEVERITY Warning
    DESCRIPTION "KDED"
    EXPORT KDED
)

ecm_mark_nongui_executable(kded5)

target_link_libraries(kded5
    Qt${QT_MAJOR_VERSION}::Widgets # QApplication
    KF5::Service # Needed for ksycoca.h
    KF5::CoreAddons # Needed for KDirWatch
    KF5::DBusAddons # Needed for kdedmodule.h
    KF5::Crash # Sets it as autostart
)
if(APPLE)
    target_link_libraries(kded5 "-framework CoreFoundation")
endif()
target_compile_definitions(kded5 PRIVATE
    KCONF_UPDATE_EXE="$<TARGET_FILE:KF5::kconf_update>"
)

install(TARGETS kded5 ${KF5_INSTALL_TARGETS_DEFAULT_ARGS} )

configure_file(plasma-kded.service.in
               ${CMAKE_CURRENT_BINARY_DIR}/plasma-kded.service @ONLY)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/plasma-kded.service
        DESTINATION ${KDE_INSTALL_SYSTEMDUSERUNITDIR})

qt_generate_dbus_interface( kdedadaptor.h org.kde.kded5.xml )
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.kded5.xml DESTINATION ${KDE_INSTALL_DBUSINTERFACEDIR})

kdbusaddons_generate_dbus_service_file(kded5 org.kde.kded5 ${KDE_INSTALL_FULL_BINDIR})

install( FILES kdedmodule.desktop DESTINATION  ${KDE_INSTALL_KSERVICETYPESDIR} )

ecm_qt_install_logging_categories(
    EXPORT KDED
    FILE kded.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

=== debian/changelog ===
kded (5.92.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.92.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 16 Mar 2022 16:26:18 +0000

kded (5.91.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.91.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 14 Feb 2022 17:07:38 +0000

kded (5.90.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.90.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 16:46:11 +0000

kded (5.89.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.89.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 12 Dec 2021 15:15:25 +0000

kded (5.88.0-1ubuntu1) jammy; urgency=medium

  * Add Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Nov 2021 18:10:28 +0000

kded (5.88.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.87.0).
  * New upstream release (5.88.0).
  * Force-bump frameworks internal b-d to 5.88.

 -- Norbert Preining <norbert@preining.info>  Wed, 17 Nov 2021 06:07:38 +0900

kded (5.86.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.86.0).
  * Bump Standards-Version to 4.6.0, no change required.

 -- Norbert Preining <norbert@preining.info>  Mon, 13 Sep 2021 10:52:54 +0900

kded (5.85.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Sat, 28 Aug 2021 23:42:46 +0900

kded (5.85.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.85.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 00:02:14 +0900

kded (5.83.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 11:53:02 +0900

kded (5.83.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.83.0).

 -- Norbert Preining <norbert@preining.info>  Sun, 13 Jun 2021 09:16:44 +0900

kded (5.82.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.82.0).
  * Removed Maximiliano Curia from the uploaders, thanks for your work
    on the package!
  * Build with hardening=+all build hardening flag.

 -- Norbert Preining <norbert@preining.info>  Sat, 08 May 2021 21:08:37 +0900

kded (5.81.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream version (5.81.0)
  * Bump inter-frameworks dependencies.

 -- Norbert Preining <norbert@preining.info>  Mon, 12 Apr 2021 10:18:17 +0900

kded (5.80.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream version (5.80.0)
  * Bump inter-frameworks dependencies.

 -- Norbert Preining <norbert@preining.info>  Mon, 15 Mar 2021 15:10:33 +0900

kded (5.79.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.79.0).

 -- Norbert Preining <norbert@preining.info>  Tue, 16 Feb 2021 06:45:27 +0900

=== debian/control ===
Source: kded
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Norbert Preining <norbert@preining.info>
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.92.0~),
               libkf5config-dev (>= 5.92.0~),
               libkf5coreaddons-dev (>= 5.92.0~),
               libkf5crash-dev (>= 5.92.0~),
               libkf5dbusaddons-dev (>= 5.92.0~),
               libkf5doctools-dev (>= 5.92.0~),
               libkf5service-dev (>= 5.92.0~),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.15.2~),
Standards-Version: 4.6.0
Homepage: https://invent.kde.org/frameworks/kded
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kded
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kded
Rules-Requires-Root: no

Package: kded5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Extensible daemon for providing session services
 KDED runs in the background and performs a number of small tasks.
 Some of these tasks are built in, others are started on demand.

Package: kded5-dev
Section: libdevel
Architecture: any
Depends: kded5 (= ${binary:Version}),
         libkf5coreaddons-dev (>= 5.92.0~),
         libkf5crash-dev (>= 5.92.0~),
         libkf5dbusaddons-dev (>= 5.92.0~),
         libkf5service-dev (>= 5.92.0~),
         ${misc:Depends},
Description: Extensible daemon for providing session services
 KDED runs in the background and performs a number of small tasks.
 Some of these tasks are built in, others are started on demand.
 .
 Contains development files.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

## kded 5.98.0

=== debian/changelog ===
kded (5.98.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.98.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 11 Sep 2022 11:31:13 +0100

kded (5.97.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.97.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 13 Aug 2022 14:03:26 +0100

kded (5.96.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.96.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 Jul 2022 16:29:20 +0100

kded (5.95.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.95.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jun 2022 09:54:47 +0100

kded (5.94.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.94.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 May 2022 16:18:28 +0100

kded (5.93.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.93.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Apr 2022 08:22:00 +0100

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,13 @@
 Uploaders: Norbert Preining <norbert@preining.info>
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.92.0~),
-               libkf5config-dev (>= 5.92.0~),
-               libkf5coreaddons-dev (>= 5.92.0~),
-               libkf5crash-dev (>= 5.92.0~),
-               libkf5dbusaddons-dev (>= 5.92.0~),
-               libkf5doctools-dev (>= 5.92.0~),
-               libkf5service-dev (>= 5.92.0~),
+               extra-cmake-modules (>= 5.98.0~),
+               libkf5config-dev (>= 5.98.0~),
+               libkf5coreaddons-dev (>= 5.98.0~),
+               libkf5crash-dev (>= 5.98.0~),
+               libkf5dbusaddons-dev (>= 5.98.0~),
+               libkf5doctools-dev (>= 5.98.0~),
+               libkf5service-dev (>= 5.98.0~),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.15.2~),
 Standards-Version: 4.6.0
@@ -32,10 +32,10 @@
 Section: libdevel
 Architecture: any
 Depends: kded5 (= ${binary:Version}),
-         libkf5coreaddons-dev (>= 5.92.0~),
-         libkf5crash-dev (>= 5.92.0~),
-         libkf5dbusaddons-dev (>= 5.92.0~),
-         libkf5service-dev (>= 5.92.0~),
+         libkf5coreaddons-dev (>= 5.98.0~),
+         libkf5crash-dev (>= 5.98.0~),
+         libkf5dbusaddons-dev (>= 5.98.0~),
+         libkf5service-dev (>= 5.98.0~),
          ${misc:Depends},
 Description: Extensible daemon for providing session services
  KDED runs in the background and performs a number of small tasks.

## kded 5.103.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "5.103.0") # handled by release scripts
set(KF_DEP_VERSION "5.103.0") # handled by release scripts
project(KDED VERSION ${KF_VERSION})

include(FeatureSummary)
find_package(ECM 5.103.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

set(REQUIRED_QT_VERSION 5.15.2)

include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(KDEGitCommitHooks)
include(ECMDeprecationSettings)

find_package(Qt${QT_MAJOR_VERSION} "${REQUIRED_QT_VERSION}" CONFIG REQUIRED DBus Widgets)
find_package(KF5Config ${KF_DEP_VERSION} REQUIRED)
find_package(KF5CoreAddons ${KF_DEP_VERSION} REQUIRED)
find_package(KF5Crash ${KF_DEP_VERSION} REQUIRED)
find_package(KF5DBusAddons ${KF_DEP_VERSION} REQUIRED)
find_package(KF5DocTools ${KF_DEP_VERSION})
find_package(KF5Service ${KF_DEP_VERSION} REQUIRED)


include(CMakePackageConfigHelpers)
include(ECMQtDeclareLoggingCategory)
include(ECMSetupVersion)
include(ECMMarkNonGuiExecutable)

ecm_setup_version(
  PROJECT
  VARIABLE_PREFIX KDED
  VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/src/kded_version.h"
  PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KDEDConfigVersion.cmake"
  SOVERSION 5)

# We don't install kded_version.h, it's only useful internally
# (given that this framework produces no library)

ecm_set_disabled_deprecation_versions(
    QT 5.15.2
    KF 5.97.0
    KSERVICE 5.89 # We need KServiceTypeTrader for compatibility plugin loading
)

if (KF5DocTools_FOUND)
    kdoctools_install(po)
    add_subdirectory(docs)
endif()

add_subdirectory(src)

# Create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KDED")

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KDEDConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KDEDConfig.cmake"
  PATH_VARS KDE_INSTALL_DBUSINTERFACEDIR
  INSTALL_DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KDEDConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KDEDConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(FILES org.kde.kded5.desktop DESTINATION ${KDE_INSTALL_APPDIR})

feature_summary(WHAT ALL   FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== debian/changelog ===
kded (5.103.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.103.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 12 Feb 2023 21:44:29 +0100

kded (5.102.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.102.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 22 Jan 2023 21:35:07 +0100

kded (5.101.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.101.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 13 Dec 2022 07:40:31 +0100

kded (5.100.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.99.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (5.100.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 19 Nov 2022 23:19:03 +0100

kded (5.98.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.98.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Sep 2022 23:11:45 +0200

kded (5.97.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.97.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 14 Aug 2022 18:55:36 +0200

kded (5.96.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.96.0).
  * Bump Standards-Version to 4.6.1, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 31 Jul 2022 13:33:05 +0200

kded (5.94.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.94.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 19 May 2022 23:59:05 +0200

kded (5.93.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.93.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 11 May 2022 23:22:47 +0200

kded (5.90.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.89.0).

  [ Aurélien COUDERC ]
  * New upstream release (5.90.0).
  * Added myself to the uploaders.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 11 Feb 2022 23:46:43 +0100

=== debian/control ===
Source: kded
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.103.0~),
               libkf5config-dev (>= 5.103.0~),
               libkf5coreaddons-dev (>= 5.103.0~),
               libkf5crash-dev (>= 5.103.0~),
               libkf5dbusaddons-dev (>= 5.103.0~),
               libkf5doctools-dev (>= 5.103.0~),
               libkf5service-dev (>= 5.103.0~),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.15.2~),
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/frameworks/kded
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kded
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kded.git
Rules-Requires-Root: no

Package: kded5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Extensible daemon for providing session services
 KDED runs in the background and performs a number of small tasks.
 Some of these tasks are built in, others are started on demand.

Package: kded5-dev
Section: libdevel
Architecture: any
Depends: kded5 (= ${binary:Version}),
         libkf5coreaddons-dev (>= 5.103.0~),
         libkf5crash-dev (>= 5.103.0~),
         libkf5dbusaddons-dev (>= 5.103.0~),
         libkf5service-dev (>= 5.103.0~),
         ${misc:Depends},
Description: Extensible daemon for providing session services
 KDED runs in the background and performs a number of small tasks.
 Some of these tasks are built in, others are started on demand.
 .
 Contains development files.

## kded 5.104.0

=== debian/changelog ===
kded (5.104.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.104.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 13 Mar 2023 13:15:36 +0000

kded (5.103.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.103.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 15 Feb 2023 13:42:30 +0000

kded (5.102.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.102.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 05 Feb 2023 15:56:17 +0000

kded (5.101.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.101.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 10 Dec 2022 13:19:38 +0000

kded (5.100.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.100.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Nov 2022 17:14:10 +0000

kded (5.99.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.99.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 31 Oct 2022 10:58:23 +0000

=== debian/control ===
Source: kded
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Norbert Preining <norbert@preining.info>
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.104.0~),
               libkf5config-dev (>= 5.104.0~),
               libkf5coreaddons-dev (>= 5.104.0~),
               libkf5crash-dev (>= 5.104.0~),
               libkf5dbusaddons-dev (>= 5.104.0~),
               libkf5doctools-dev (>= 5.104.0~),
               libkf5service-dev (>= 5.104.0~),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.15.2~),
Standards-Version: 4.6.0
Homepage: https://invent.kde.org/frameworks/kded
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kded
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kded
Rules-Requires-Root: no

Package: kded5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Extensible daemon for providing session services
 KDED runs in the background and performs a number of small tasks.
 Some of these tasks are built in, others are started on demand.

Package: kded5-dev
Section: libdevel
Architecture: any
Depends: kded5 (= ${binary:Version}),
         libkf5coreaddons-dev (>= 5.104.0~),
         libkf5crash-dev (>= 5.104.0~),
         libkf5dbusaddons-dev (>= 5.104.0~),
         libkf5service-dev (>= 5.104.0~),
         ${misc:Depends},
Description: Extensible daemon for providing session services
 KDED runs in the background and performs a number of small tasks.
 Some of these tasks are built in, others are started on demand.
 .
 Contains development files.

## kded 5.107.0

=== debian/changelog ===
kded (5.107.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.105.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (5.107.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Jun 2023 16:08:40 +0200

kded (5.104.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.104.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 15 Mar 2023 16:09:58 +0100

=== debian/control ===
Source: kded
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.107.0~),
               libkf5config-dev (>= 5.107.0~),
               libkf5coreaddons-dev (>= 5.107.0~),
               libkf5crash-dev (>= 5.107.0~),
               libkf5dbusaddons-dev (>= 5.107.0~),
               libkf5doctools-dev (>= 5.107.0~),
               libkf5service-dev (>= 5.107.0~),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.15.2~),
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/frameworks/kded
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kded
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kded.git
Rules-Requires-Root: no

Package: kded5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Extensible daemon for providing session services
 KDED runs in the background and performs a number of small tasks.
 Some of these tasks are built in, others are started on demand.

Package: kded5-dev
Section: libdevel
Architecture: any
Depends: kded5 (= ${binary:Version}),
         libkf5coreaddons-dev (>= 5.107.0~),
         libkf5crash-dev (>= 5.107.0~),
         libkf5dbusaddons-dev (>= 5.107.0~),
         libkf5service-dev (>= 5.107.0~),
         ${misc:Depends},
Description: Extensible daemon for providing session services
 KDED runs in the background and performs a number of small tasks.
 Some of these tasks are built in, others are started on demand.
 .
 Contains development files.
